### Name: createVector
### Title: Create a GUI with a Vector Widget
### Aliases: createVector
### Keywords: utilities

### ** Examples

#user defined function which is called on new data      
drawLiss <- function()
{
  getWinVal(scope="L")
        
  tt <- 2*pi*(0:k)/k;
        
  x <- sin(2*pi*m*tt); 
  y <- sin(2*pi*(n*tt+phi));
        
  plot(x,y,type="p");
        
  invisible(NULL); 
}

#create the vector window
createVector(c(m=2, n=3, phi=0, k=1000), 
             vectorLabels=c("x cycles","y cycles", "y phase", "points"), 
             func="drawLiss"
             )



