### Name: createWin
### Title: Create a GUI Window
### Aliases: createWin
### Keywords: utilities

### ** Examples


#see file testWidgets\LissWin.txt in PBSmodelling package directory
#
# window title="Lissajous Curve"
# grid 1 2
#   label text=Pars: font=bold
#   vector length=4 names="m n phi k" \
#     labels="'x cycles' 'y cycles' 'y phase' points" \
#     values="2 3 0 1000" vertical=T
# grid 1 2
#   label text=History: font=bold
#   history
# grid 1 2
#   grid 2 1
#     radio name=ptype text=lines  value="l" mode=character
#     radio name=ptype text=points value="p" mode=character
# button text=Plot func=drawLiss font=bold
#

# Calculate and draw the Lissajous figure
drawLiss <- function()
{
  getWinVal(scope="L");
  ti <- 2*pi*(0:k)/k;
  x <- sin(2*pi*m*ti);
  y <- sin(2*pi*(n*ti+phi));

  plot(x,y,type=ptype);
  invisible(NULL);
}
## Not run: 
##D require(PBSmodelling); 
##D createWin(system.file("testWidgets/LissWin.txt",package="PBSmodelling"))
## End(Not run)



